Page MenuHomePhabricator

Add php integration tests for Depicts
Closed, ResolvedPublic

Description

We currently don’t have tests for api calls used in depicts

Why do we need it?

  • This is basic functionality we need covered in tests

What should be tested:

  • add a depicts claim
  • edit a depicts claim prominence
  • delete a depicts claim
  • get all existing depicts claims for entity
  • search/lookup depicts items

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterIntegration tests for statements

Event Timeline

Ha78na created this task.Apr 4 2019, 2:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2019, 2:09 PM
Ramsey-WMF triaged this task as Medium priority.Apr 4 2019, 4:59 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Ramsey-WMF moved this task from To Do to Doing on the Structured Data Engineering board.

Change 502867 had a related patch set uploaded (by Ha78na; owner: Ha78na):
[mediawiki/extensions/WikibaseMediaInfo@master] [WIP] phpunit integration tests

https://gerrit.wikimedia.org/r/502867

Ha78na reassigned this task from Ha78na to Cparle.Apr 10 2019, 7:28 PM

Change 502867 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Integration tests for statements

https://gerrit.wikimedia.org/r/502867

This can't be reasonably QAd. Merged, so closing

Cparle closed this task as Resolved.May 30 2019, 11:45 AM
Cparle updated the task description. (Show Details)